> For the complete documentation index, see [llms.txt](https://docs.kangal.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kangal.dev/tr/entegrasyonlar/datadog.md).

# Datadog

Datadog driver'ı API ve application key değerlerini doğrular, ardından sınırları belirli tek bir monitor-read isteği yapar.

## Zorunlu değerler

| Tür           | Alan              | Örnek                            |
| ------------- | ----------------- | -------------------------------- |
| Configuration | `site`            | `datadoghq.com`                  |
| Configuration | `api_url`         | İsteğe bağlı custom API base URL |
| Secret        | `api_key`         | Datadog API key                  |
| Secret        | `application_key` | Datadog application key          |

Hesaba atanmış `datadoghq.com` veya ilgili bölgesel Datadog site değerini kullanın.

## Provider hazırlığı

1. Kangal için ayrı bir API key oluşturun.
2. Monitor read yetkisine sahip scoped application key oluşturun.
3. Hesabın Datadog site bilgisini kaydedin.

## Kangal yapılandırması

1. **Integrations** ekranını açıp **Datadog** seçin.
2. Datadog site değerini girin.
3. Her iki key'i ilgili secret alanına girin.
4. Kaydedip sync çalıştırın.

## Dönen veri

Driver `/api/v1/validate` çağrısını yapar ve page size bir olacak şekilde ilk monitor sayfasını ister. Sonuç key geçerliliğini ve monitor-read erişimini kaydeder.

## Sık karşılaşılan hatalar

* **401:** Key değerlerinden biri veya ikisi geçersiz.
* **403:** Application key gerekli yetkiye sahip değil.
* **404 veya DNS failure:** Datadog site ya da custom API URL hatalı.
* **429:** Provider retry süresini bekleyip kaydedilen rate-limit metadata'sını inceleyin.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kangal.dev/tr/entegrasyonlar/datadog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
